// Otetaan käyttöön Jyväskylän yliopiston Jypeli-kirjasto
using Jypeli;

namespace LumiukkoAli;

/// @author  Vesa Lappalainen, Antti-Jussi Lakanen
/// @version 22.12.2011
///
///
/// <summary>
/// Luokka, jossa harjoitellaan piirtämistä lisäämällä ympyröitä ruudulle
/// </summary>
public class LumiukkoAli : PhysicsGame
{

    /// <summary>
    /// Piirretään oliot ja zoomataan kamera niin että kenttä näkyy kokonaan.
    /// </summary>
    public override void Begin()
    {
        Camera.ZoomToLevel();
        Level.Background.Color = Color.Black;
        Level.CreateBorders();

        PiirraLumiukko(this, 0, Level.Bottom + 200.0);
        PiirraLumiukko(this, 300, Level.Bottom + 300.0);

        Gravity = new Vector(10, -200);
    }

    /// <summary>
    /// Piirtää lumiukon paikakakljsdas 
    /// </summary>
    /// <param name="peli">peli johon piirretään</param>
    /// <param name="x"></param>
    /// <param name="y"></param>
    public static void PiirraLumiukko(PhysicsGame peli, double x, double y)
    {
        PhysicsObject p1 = new PhysicsObject(2 * 100.0, 2 * 100.0, Shape.Circle);
        p1.Y = y;
        p1.X = x;
        peli.Add(p1);

        PhysicsObject p2 = new PhysicsObject(2 * 50.0, 2 * 50.0, Shape.Circle);
        p2.Y = p1.Y + 100 + 50;
        p2.X = x;
        peli.Add(p2);

        PhysicsObject p3 = new PhysicsObject(2 * 30.0, 2 * 30.0, Shape.Circle);
        p3.Y = p2.Y + 50 + 30;
        p3.X = x;
        peli.Add(p3);
        
        PhysicsObject nena = new PhysicsObject(2 * 4.0, 2 * 10.0, Shape.Triangle);
        nena.Y = p3.Y;
        nena.X = x;
        nena.Color = Color.Orange;
        nena.Angle = Angle.FromDegrees(45);
        p3.Add(nena);


    }
}