// Otetaan käyttöön Jyväskylän yliopiston Jypeli-kirjasto
using Jypeli;

namespace LumiukkoTyhma;

/// @author  Vesa Lappalainen, Antti-Jussi Lakanen
/// @version 22.12.2011
///
///
/// <summary>
/// Luokka, jossa harjoitellaan piirtämistä lisäämällä ympyröitä ruudulle
/// </summary>
public class LumiukkoTyhma : PhysicsGame
{

    /// <summary>
    /// Piirretään oliot ja zoomataan kamera niin että kenttä näkyy kokonaan.
    /// </summary>
    public override void Begin()
    {
        Camera.ZoomToLevel();
        Level.Background.Color = Color.Black;
        {
            PhysicsObject p1 = new PhysicsObject(2 * 100.0, 2 * 100.0, Shape.Circle);
            p1.Y = Level.Bottom + 200.0;
            Add(p1);

            PhysicsObject p2 = new PhysicsObject(2 * 50.0, 2 * 50.0, Shape.Circle);
            p2.Y = p1.Y + 100 + 50;
            Add(p2);

            PhysicsObject p3 = new PhysicsObject(2 * 30.0, 2 * 30.0, Shape.Circle);
            p3.Y = p2.Y + 50 + 30;
            Add(p3);
        }
        {
            double x = 300;
            double y = Level.Bottom + 300.0;
            
            PhysicsObject p1 = new PhysicsObject(2 * 100.0, 2 * 100.0, Shape.Circle);
            p1.Y = y;
            p1.X = x;
            this.Add(p1);

            PhysicsObject p2 = new PhysicsObject(2 * 50.0, 2 * 50.0, Shape.Circle);
            p2.Y = p1.Y + 100 + 50;
            p2.X = x;
            Add(p2);

            PhysicsObject p3 = new PhysicsObject(2 * 30.0, 2 * 30.0, Shape.Circle);
            p3.Y = p2.Y + 50 + 30;
            p3.X = x;
            Add(p3);
        }
    }
}